"use strict";
var loaderUtils = require("loader-utils");
var vueMediaLoader = function vueMediaLoader(code) {
    if (!this.resourceQuery)
        return code;
    var options = loaderUtils.parseQuery(this.resourceQuery);
    // Ignore it if it does not come from Vue SFC or not have `media` attribute.
    if (!options.vue || !options.media) {
        return code;
    }
    var str = String(code);
    var matched = str.match(/^\s*@charset\s*('.*'|".*")\s*;\s*/);
    var charset = matched ? matched[0] : '';
    var body = str.replace(charset, '');
    return charset + "@media " + options.media + " {\n" + body + "\n}";
};
module.exports = vueMediaLoader;
